diff --git a/NetworkPkg/Ip6Dxe/Ip6ConfigNv.c b/NetworkPkg/Ip6Dxe/Ip6ConfigNv.c
index a0727d2..1ed4039 100644
--- a/NetworkPkg/Ip6Dxe/Ip6ConfigNv.c
+++ b/NetworkPkg/Ip6Dxe/Ip6ConfigNv.c
@@ -1697,21 +1699,21 @@ Ip6GetCurrentSetting (
 EFI_STATUS
 EFIAPI
 Ip6FormCallback (
-  IN  CONST EFI_HII_CONFIG_ACCESS_PROTOCOL   *This,
-  IN  EFI_BROWSER_ACTION                     Action,
-  IN  EFI_QUESTION_ID                        QuestionId,
-  IN  UINT8                                  Type,
-  IN  EFI_IFR_TYPE_VALUE                     *Value,
-  OUT EFI_BROWSER_ACTION_REQUEST             *ActionRequest
+  IN  CONST EFI_HII_CONFIG_ACCESS_PROTOCOL  *This,
+  IN  EFI_BROWSER_ACTION                    Action,
+  IN  EFI_QUESTION_ID                       QuestionId,
+  IN  UINT8                                 Type,
+  IN  EFI_IFR_TYPE_VALUE                    *Value,
+  OUT EFI_BROWSER_ACTION_REQUEST            *ActionRequest
   )
 {
-  IP6_FORM_CALLBACK_INFO        *Private;
-  UINTN                         BufferSize;
-  IP6_CONFIG_IFR_NVDATA         *IfrNvData;
-  EFI_STATUS                    Status;
-  EFI_INPUT_KEY                 Key;
-  IP6_CONFIG_INSTANCE           *Instance;
-  IP6_CONFIG_NVDATA             *Ip6NvData;
+  IP6_FORM_CALLBACK_INFO  *Private;
+  UINTN                   BufferSize;
+  IP6_CONFIG_IFR_NVDATA   *IfrNvData;
+  EFI_STATUS              Status;
+  EFI_INPUT_KEY           Key;
+  IP6_CONFIG_INSTANCE     *Instance;
+  IP6_CONFIG_NVDATA       *Ip6NvData;
 
   if (This == NULL) {
     return EFI_INVALID_PARAMETER;
@@ -1721,11 +1723,11 @@ Ip6FormCallback (
   Instance  = IP6_CONFIG_INSTANCE_FROM_FORM_CALLBACK (Private);
   Ip6NvData = &Instance->Ip6NvData;
 
-  if ((Action == EFI_BROWSER_ACTION_FORM_OPEN) || (Action == EFI_BROWSER_ACTION_FORM_CLOSE)){
+  if ((Action == EFI_BROWSER_ACTION_FORM_OPEN) || (Action == EFI_BROWSER_ACTION_FORM_CLOSE)) {
     return EFI_SUCCESS;
   }
 
-  if (Action != EFI_BROWSER_ACTION_CHANGING && Action != EFI_BROWSER_ACTION_CHANGED) {
+  if ((Action != EFI_BROWSER_ACTION_CHANGING) && (Action != EFI_BROWSER_ACTION_CHANGED)) {
     return EFI_UNSUPPORTED;
   }
 
@@ -1738,123 +1740,124 @@ Ip6FormCallback (
   //
 
   BufferSize = sizeof (IP6_CONFIG_IFR_NVDATA);
-  IfrNvData = AllocateZeroPool (BufferSize);
+  IfrNvData  = AllocateZeroPool (BufferSize);
   if (IfrNvData == NULL) {
     return EFI_OUT_OF_RESOURCES;
   }
 
   Status = EFI_SUCCESS;
 
-  HiiGetBrowserData (NULL, NULL, BufferSize, (UINT8 *) IfrNvData);
+  HiiGetBrowserData (NULL, NULL, BufferSize, (UINT8 *)IfrNvData);
 
   if (Action == EFI_BROWSER_ACTION_CHANGING) {
     switch (QuestionId) {
-    case KEY_GET_CURRENT_SETTING:
-      Status = Ip6GetCurrentSetting (Instance);
-      break;
+      case KEY_GET_CURRENT_SETTING:
+        Status = Ip6GetCurrentSetting (Instance);
+        break;
 
-    default:
-      break;
+      default:
+        break;
     }
   } else if (Action == EFI_BROWSER_ACTION_CHANGED) {
     switch (QuestionId) {
-    case KEY_SAVE_CONFIG_CHANGES:
-      Status = Ip6ConvertIfrNvDataToConfigNvDataAdvanced (IfrNvData, Instance);
-      if (EFI_ERROR (Status)) {
-        break;
-      }
+      case KEY_SAVE_CONFIG_CHANGES:
+        Status = Ip6ConvertIfrNvDataToConfigNvDataAdvanced (IfrNvData, Instance);
+        if (EFI_ERROR (Status)) {
+          break;
+        }
 
-      Status = Ip6GetCurrentSetting (Instance);
+        Status = Ip6GetCurrentSetting (Instance);
 
-      *ActionRequest = EFI_BROWSER_ACTION_REQUEST_FORM_SUBMIT_EXIT;
-      break;
+        *ActionRequest = EFI_BROWSER_ACTION_REQUEST_FORM_SUBMIT_EXIT;
+        break;
 
-    case KEY_IGNORE_CONFIG_CHANGES:
-      Ip6FreeAddressInfoList (&Ip6NvData->ManualAddress);
-      Ip6FreeAddressInfoList (&Ip6NvData->GatewayAddress);
-      Ip6FreeAddressInfoList (&Ip6NvData->DnsAddress);
+      case KEY_IGNORE_CONFIG_CHANGES:
+        Ip6FreeAddressInfoList (&Ip6NvData->ManualAddress);
+        Ip6FreeAddressInfoList (&Ip6NvData->GatewayAddress);
+        Ip6FreeAddressInfoList (&Ip6NvData->DnsAddress);
 
-      Ip6NvData->ManualAddressCount  = 0;
-      Ip6NvData->GatewayAddressCount = 0;
-      Ip6NvData->DnsAddressCount     = 0;
+        Ip6NvData->ManualAddressCount  = 0;
+        Ip6NvData->GatewayAddressCount = 0;
+        Ip6NvData->DnsAddressCount     = 0;
 
-      *ActionRequest = EFI_BROWSER_ACTION_REQUEST_FORM_DISCARD_EXIT;
-      break;
+        *ActionRequest = EFI_BROWSER_ACTION_REQUEST_FORM_DISCARD_EXIT;
+        break;
+
+      case KEY_SAVE_CHANGES:
+        Status = Ip6ConvertIfrNvDataToConfigNvDataGeneral (IfrNvData, Instance);
+        if (EFI_ERROR (Status)) {
+          break;
+        }
 
-    case KEY_SAVE_CHANGES:
-      Status = Ip6ConvertIfrNvDataToConfigNvDataGeneral (IfrNvData, Instance);
-      if (EFI_ERROR (Status)) {
+        *ActionRequest = EFI_BROWSER_ACTION_REQUEST_SUBMIT;
         break;
-      }
-      *ActionRequest = EFI_BROWSER_ACTION_REQUEST_SUBMIT;
-      break;
 
-    case KEY_INTERFACE_ID:
-      Status = Ip6ParseInterfaceIdFromString (IfrNvData->InterfaceId, &Ip6NvData->InterfaceId);
-      if (EFI_ERROR (Status)) {
-        CreatePopUp (
-          EFI_LIGHTGRAY | EFI_BACKGROUND_BLUE,
-          &Key,
-          L"Invalid Interface ID!",
-          NULL
-          );
-      }
+      case KEY_INTERFACE_ID:
+        Status = Ip6ParseInterfaceIdFromString (IfrNvData->InterfaceId, &Ip6NvData->InterfaceId);
+        if (EFI_ERROR (Status)) {
+          CreatePopUp (
+            EFI_LIGHTGRAY | EFI_BACKGROUND_BLUE,
+            &Key,
+            L"Invalid Interface ID!",
+            NULL
+            );
+        }
 
-      break;
+        break;
 
-    case KEY_MANUAL_ADDRESS:
-      Status = Ip6ParseAddressListFromString (
-                 IfrNvData->ManualAddress,
-                 &Ip6NvData->ManualAddress,
-                 &Ip6NvData->ManualAddressCount
-                 );
-      if (EFI_ERROR (Status)) {
-        CreatePopUp (
-          EFI_LIGHTGRAY | EFI_BACKGROUND_BLUE,
-          &Key,
-          L"Invalid Host Addresses!",
-          NULL
-          );
-      }
+      case KEY_MANUAL_ADDRESS:
+        Status = Ip6ParseAddressListFromString (
+                   IfrNvData->ManualAddress,
+                   &Ip6NvData->ManualAddress,
+                   &Ip6NvData->ManualAddressCount
+                   );
+        if (EFI_ERROR (Status)) {
+          CreatePopUp (
+            EFI_LIGHTGRAY | EFI_BACKGROUND_BLUE,
+            &Key,
+            L"Invalid Host Addresses!",
+            NULL
+            );
+        }
 
-      break;
+        break;
 
-    case KEY_GATEWAY_ADDRESS:
-      Status = Ip6ParseAddressListFromString (
-                 IfrNvData->GatewayAddress,
-                 &Ip6NvData->GatewayAddress,
-                 &Ip6NvData->GatewayAddressCount
-                 );
-      if (EFI_ERROR (Status)) {
-        CreatePopUp (
-          EFI_LIGHTGRAY | EFI_BACKGROUND_BLUE,
-          &Key,
-          L"Invalid Gateway Addresses!",
-          NULL
-          );
-      }
+      case KEY_GATEWAY_ADDRESS:
+        Status = Ip6ParseAddressListFromString (
+                   IfrNvData->GatewayAddress,
+                   &Ip6NvData->GatewayAddress,
+                   &Ip6NvData->GatewayAddressCount
+                   );
+        if (EFI_ERROR (Status)) {
+          CreatePopUp (
+            EFI_LIGHTGRAY | EFI_BACKGROUND_BLUE,
+            &Key,
+            L"Invalid Gateway Addresses!",
+            NULL
+            );
+        }
 
-      break;
+        break;
 
-    case KEY_DNS_ADDRESS:
-      Status = Ip6ParseAddressListFromString (
-                 IfrNvData->DnsAddress,
-                 &Ip6NvData->DnsAddress,
-                 &Ip6NvData->DnsAddressCount
-                 );
-      if (EFI_ERROR (Status)) {
-        CreatePopUp (
-          EFI_LIGHTGRAY | EFI_BACKGROUND_BLUE,
-          &Key,
-          L"Invalid DNS Addresses!",
-          NULL
-          );
-      }
+      case KEY_DNS_ADDRESS:
+        Status = Ip6ParseAddressListFromString (
+                   IfrNvData->DnsAddress,
+                   &Ip6NvData->DnsAddress,
+                   &Ip6NvData->DnsAddressCount
+                   );
+        if (EFI_ERROR (Status)) {
+          CreatePopUp (
+            EFI_LIGHTGRAY | EFI_BACKGROUND_BLUE,
+            &Key,
+            L"Invalid DNS Addresses!",
+            NULL
+            );
+        }
 
-      break;
+        break;
 
-    default:
-      break;
+      default:
+        break;
     }
   }
 
@@ -1863,7 +1866,7 @@ Ip6FormCallback (
     // Pass changed uncommitted data back to Form Browser.
     //
     BufferSize = sizeof (IP6_CONFIG_IFR_NVDATA);
-    HiiSetBrowserData (NULL, NULL, BufferSize, (UINT8 *) IfrNvData, NULL);
+    HiiSetBrowserData (NULL, NULL, BufferSize, (UINT8 *)IfrNvData, NULL);
   }
 
   FreePool (IfrNvData);
@@ -1882,20 +1885,20 @@ Ip6FormCallback (
 **/
 EFI_STATUS
 Ip6ConfigFormInit (
-  IN OUT IP6_CONFIG_INSTANCE     *Instance
+  IN OUT IP6_CONFIG_INSTANCE  *Instance
   )
 {
-  EFI_STATUS                     Status;
-  IP6_SERVICE                    *IpSb;
-  IP6_FORM_CALLBACK_INFO         *CallbackInfo;
-  EFI_HII_CONFIG_ACCESS_PROTOCOL *ConfigAccess;
-  VENDOR_DEVICE_PATH             VendorDeviceNode;
-  EFI_SERVICE_BINDING_PROTOCOL   *MnpSb;
-  CHAR16                         *MacString;
-  CHAR16                         MenuString[128];
-  CHAR16                         PortString[128];
-  CHAR16                         *OldMenuString;
-  EFI_DEVICE_PATH_PROTOCOL       *ParentDevicePath;
+  EFI_STATUS                      Status;
+  IP6_SERVICE                     *IpSb;
+  IP6_FORM_CALLBACK_INFO          *CallbackInfo;
+  EFI_HII_CONFIG_ACCESS_PROTOCOL  *ConfigAccess;
+  VENDOR_DEVICE_PATH              VendorDeviceNode;
+  EFI_SERVICE_BINDING_PROTOCOL    *MnpSb;
+  CHAR16                          *MacString;
+  CHAR16                          MenuString[128];
+  CHAR16                          PortString[128];
+  CHAR16                          *OldMenuString;
+  EFI_DEVICE_PATH_PROTOCOL        *ParentDevicePath;
 
   IpSb = IP6_SERVICE_FROM_IP6_CONFIG_INSTANCE (Instance);
   ASSERT (IpSb != NULL);
@@ -1903,13 +1906,13 @@ Ip6ConfigFormInit (
   Status = gBS->HandleProtocol (
                   IpSb->Controller,
                   &gEfiDevicePathProtocolGuid,
-                  (VOID **) &ParentDevicePath
+                  (VOID **)&ParentDevicePath
                   );
   if (EFI_ERROR (Status)) {
     return Status;
   }
 
-  CallbackInfo = &Instance->CallbackInfo;
+  CallbackInfo            = &Instance->CallbackInfo;
   CallbackInfo->Signature = IP6_FORM_CALLBACK_INFO_SIGNATURE;
 
   //
@@ -1926,7 +1929,7 @@ Ip6ConfigFormInit (
   SetDevicePathNodeLength (&VendorDeviceNode.Header, sizeof (VENDOR_DEVICE_PATH));
   CallbackInfo->HiiVendorDevicePath = AppendDevicePathNode (
                                         ParentDevicePath,
-                                        (EFI_DEVICE_PATH_PROTOCOL *) &VendorDeviceNode
+                                        (EFI_DEVICE_PATH_PROTOCOL *)&VendorDeviceNode
                                         );
   if (CallbackInfo->HiiVendorDevicePath == NULL) {
     Status = EFI_OUT_OF_RESOURCES;
@@ -1956,7 +1959,7 @@ Ip6ConfigFormInit (
     Status = gBS->OpenProtocol (
                     IpSb->Controller,
                     &gEfiManagedNetworkServiceBindingProtocolGuid,
-                    (VOID **) &MnpSb,
+                    (VOID **)&MnpSb,
                     IpSb->Image,
                     CallbackInfo->ChildHandle,
                     EFI_OPEN_PROTOCOL_BY_CHILD_CONTROLLER
@@ -1990,8 +1993,9 @@ Ip6ConfigFormInit (
     OldMenuString = HiiGetString (
                       CallbackInfo->RegisteredHandle,
                       STRING_TOKEN (STR_IP6_CONFIG_FORM_HELP),
-                      NULL)
-                      ;
+                      NULL
+                      )
+    ;
     UnicodeSPrint (MenuString, 128, L"%s (MAC:%s)", OldMenuString, MacString);
     HiiSetString (
       CallbackInfo->RegisteredHandle,
@@ -2030,12 +2034,12 @@ Error:
 **/
 VOID
 Ip6ConfigFormUnload (
-  IN OUT IP6_CONFIG_INSTANCE     *Instance
+  IN OUT IP6_CONFIG_INSTANCE  *Instance
   )
 {
-  IP6_SERVICE                    *IpSb;
-  IP6_FORM_CALLBACK_INFO         *CallbackInfo;
-  IP6_CONFIG_NVDATA              *Ip6NvData;
+  IP6_SERVICE             *IpSb;
+  IP6_FORM_CALLBACK_INFO  *CallbackInfo;
+  IP6_CONFIG_NVDATA       *Ip6NvData;
 
   IpSb = IP6_SERVICE_FROM_IP6_CONFIG_INSTANCE (Instance);
   ASSERT (IpSb != NULL);
@@ -2043,7 +2047,6 @@ Ip6ConfigFormUnload (
   CallbackInfo = &Instance->CallbackInfo;
 
   if (CallbackInfo->ChildHandle != NULL) {
-
     //
     // Close the child handle
     //
diff --git a/NetworkPkg/Ip6Dxe/Ip6Driver.c b/NetworkPkg/Ip6Dxe/Ip6Driver.c
index 7c13d6a..0ddc349 100644
--- a/NetworkPkg/Ip6Dxe/Ip6Driver.c
+++ b/NetworkPkg/Ip6Dxe/Ip6Driver.c
@@ -10,7 +10,7 @@
 
 #include "Ip6Impl.h"
 
-EFI_DRIVER_BINDING_PROTOCOL gIp6DriverBinding = {
+EFI_DRIVER_BINDING_PROTOCOL  gIp6DriverBinding = {
   Ip6DriverBindingSupported,
   Ip6DriverBindingStart,
   Ip6DriverBindingStop,
@@ -35,13 +35,14 @@ IpSec2InstalledCallback (
   IN VOID       *Context
   )
 {
-  EFI_STATUS    Status;
+  EFI_STATUS  Status;
+
   //
   // Test if protocol was even found.
   // Notification function will be called at least once.
   //
   Status = gBS->LocateProtocol (&gEfiIpSec2ProtocolGuid, NULL, (VOID **)&mIpSec);
-  if (Status == EFI_SUCCESS && mIpSec != NULL) {
+  if ((Status == EFI_SUCCESS) && (mIpSec != NULL)) {
     //
     // Close the event so it does not get called again.
     //
@@ -69,11 +70,11 @@ IpSec2InstalledCallback (
 EFI_STATUS
 EFIAPI
 Ip6DriverEntryPoint (
-  IN EFI_HANDLE             ImageHandle,
-  IN EFI_SYSTEM_TABLE       *SystemTable
+  IN EFI_HANDLE        ImageHandle,
+  IN EFI_SYSTEM_TABLE  *SystemTable
   )
 {
-  VOID            *Registration;
+  VOID  *Registration;
 
   EfiCreateProtocolNotifyEvent (
     &gEfiIpSec2ProtocolGuid,
@@ -142,14 +143,14 @@ Ip6DriverBindingSupported (
 **/
 EFI_STATUS
 Ip6CleanService (
-  IN IP6_SERVICE            *IpSb
+  IN IP6_SERVICE  *IpSb
   )
 {
-  EFI_STATUS                Status;
-  EFI_IPv6_ADDRESS          AllNodes;
-  IP6_NEIGHBOR_ENTRY        *NeighborCache;
+  EFI_STATUS          Status;
+  EFI_IPv6_ADDRESS    AllNodes;
+  IP6_NEIGHBOR_ENTRY  *NeighborCache;
 
-  IpSb->State     = IP6_SERVICE_DESTROY;
+  IpSb->State = IP6_SERVICE_DESTROY;
 
   if (IpSb->Timer != NULL) {
     gBS->SetTimer (IpSb->Timer, TimerCancel, 0);
@@ -207,11 +208,11 @@ Ip6CleanService (
       IpSb->Mnp->Cancel (IpSb->Mnp, NULL);
       IpSb->Mnp->Configure (IpSb->Mnp, NULL);
       gBS->CloseProtocol (
-            IpSb->MnpChildHandle,
-            &gEfiManagedNetworkProtocolGuid,
-            IpSb->Image,
-            IpSb->Controller
-            );
+             IpSb->MnpChildHandle,
+             &gEfiManagedNetworkProtocolGuid,
+             IpSb->Image,
+             IpSb->Controller
+             );
 
       IpSb->Mnp = NULL;
     }
@@ -256,9 +257,9 @@ Ip6CleanService (
 **/
 EFI_STATUS
 Ip6CreateService (
-  IN  EFI_HANDLE            Controller,
-  IN  EFI_HANDLE            ImageHandle,
-  OUT IP6_SERVICE           **Service
+  IN  EFI_HANDLE   Controller,
+  IN  EFI_HANDLE   ImageHandle,
+  OUT IP6_SERVICE  **Service
   )
 {
   IP6_SERVICE                           *IpSb;
@@ -286,60 +287,60 @@ Ip6CreateService (
   IpSb->ServiceBinding.DestroyChild = Ip6ServiceBindingDestroyChild;
   IpSb->State                       = IP6_SERVICE_UNSTARTED;
 
-  IpSb->NumChildren                 = 0;
+  IpSb->NumChildren = 0;
   InitializeListHead (&IpSb->Children);
 
   InitializeListHead (&IpSb->Interfaces);
-  IpSb->DefaultInterface            = NULL;
-  IpSb->RouteTable                  = NULL;
+  IpSb->DefaultInterface = NULL;
+  IpSb->RouteTable       = NULL;
 
-  IpSb->RecvRequest.Signature       = IP6_LINK_RX_SIGNATURE;
-  IpSb->RecvRequest.CallBack        = NULL;
-  IpSb->RecvRequest.Context         = NULL;
-  MnpToken                          = &IpSb->RecvRequest.MnpToken;
-  MnpToken->Event                   = NULL;
-  MnpToken->Status                  = EFI_NOT_READY;
-  MnpToken->Packet.RxData           = NULL;
+  IpSb->RecvRequest.Signature = IP6_LINK_RX_SIGNATURE;
+  IpSb->RecvRequest.CallBack  = NULL;
+  IpSb->RecvRequest.Context   = NULL;
+  MnpToken                    = &IpSb->RecvRequest.MnpToken;
+  MnpToken->Event             = NULL;
+  MnpToken->Status            = EFI_NOT_READY;
+  MnpToken->Packet.RxData     = NULL;
 
   Ip6CreateAssembleTable (&IpSb->Assemble);
 
-  IpSb->MldCtrl.Mldv1QuerySeen      = 0;
+  IpSb->MldCtrl.Mldv1QuerySeen = 0;
   InitializeListHead (&IpSb->MldCtrl.Groups);
 
   ZeroMem (&IpSb->LinkLocalAddr, sizeof (EFI_IPv6_ADDRESS));
-  IpSb->LinkLocalOk                 = FALSE;
-  IpSb->LinkLocalDadFail            = FALSE;
-  IpSb->Dhcp6NeedStart              = FALSE;
-  IpSb->Dhcp6NeedInfoRequest        = FALSE;
-
-  IpSb->CurHopLimit                 = IP6_HOP_LIMIT;
-  IpSb->LinkMTU                     = IP6_MIN_LINK_MTU;
-  IpSb->BaseReachableTime           = IP6_REACHABLE_TIME;
+  IpSb->LinkLocalOk          = FALSE;
+  IpSb->LinkLocalDadFail     = FALSE;
+  IpSb->Dhcp6NeedStart       = FALSE;
+  IpSb->Dhcp6NeedInfoRequest = FALSE;
+
+  IpSb->CurHopLimit       = IP6_HOP_LIMIT;
+  IpSb->LinkMTU           = IP6_MIN_LINK_MTU;
+  IpSb->BaseReachableTime = IP6_REACHABLE_TIME;
   Ip6UpdateReachableTime (IpSb);
   //
   // RFC4861 RETRANS_TIMER: 1,000 milliseconds
   //
-  IpSb->RetransTimer                = IP6_RETRANS_TIMER;
+  IpSb->RetransTimer = IP6_RETRANS_TIMER;
 
-  IpSb->RoundRobin                  = 0;
+  IpSb->RoundRobin = 0;
 
   InitializeListHead (&IpSb->NeighborTable);
   InitializeListHead (&IpSb->DefaultRouterList);
   InitializeListHead (&IpSb->OnlinkPrefix);
   InitializeListHead (&IpSb->AutonomousPrefix);
 
-  IpSb->InterfaceIdLen              = IP6_IF_ID_LEN;
-  IpSb->InterfaceId                 = NULL;
+  IpSb->InterfaceIdLen = IP6_IF_ID_LEN;
+  IpSb->InterfaceId    = NULL;
 
-  IpSb->RouterAdvertiseReceived     = FALSE;
-  IpSb->SolicitTimer                = IP6_MAX_RTR_SOLICITATIONS;
-  IpSb->Ticks                       = 0;
+  IpSb->RouterAdvertiseReceived = FALSE;
+  IpSb->SolicitTimer            = IP6_MAX_RTR_SOLICITATIONS;
+  IpSb->Ticks                   = 0;
 
-  IpSb->Image                       = ImageHandle;
-  IpSb->Controller                  = Controller;
+  IpSb->Image      = ImageHandle;
+  IpSb->Controller = Controller;
 
-  IpSb->MnpChildHandle              = NULL;
-  IpSb->Mnp                         = NULL;
+  IpSb->MnpChildHandle = NULL;
+  IpSb->Mnp            = NULL;
 
   Config                            = &IpSb->MnpConfigData;
   Config->ReceivedQueueTimeoutValue = 0;
@@ -355,12 +356,12 @@ Ip6CreateService (
 
   ZeroMem (&IpSb->SnpMode, sizeof (EFI_SIMPLE_NETWORK_MODE));
 
-  IpSb->Timer                       = NULL;
-  IpSb->FasterTimer                 = NULL;
+  IpSb->Timer       = NULL;
+  IpSb->FasterTimer = NULL;
 
   ZeroMem (&IpSb->Ip6ConfigInstance, sizeof (IP6_CONFIG_INSTANCE));
 
-  IpSb->MacString                   = NULL;
+  IpSb->MacString = NULL;
 
   //
   // Create various resources. First create the route table, timer
@@ -408,7 +409,7 @@ Ip6CreateService (
   Status = gBS->OpenProtocol (
                   IpSb->MnpChildHandle,
                   &gEfiManagedNetworkProtocolGuid,
-                  (VOID **) (&IpSb->Mnp),
+                  (VOID **)(&IpSb->Mnp),
                   ImageHandle,
                   Controller,
                   EFI_OPEN_PROTOCOL_BY_DRIVER
@@ -434,6 +435,7 @@ Ip6CreateService (
     //
     IpSb->MaxPacketSize -= NET_VLAN_TAG_LEN;
   }
+
   IpSb->OldMaxPacketSize = IpSb->MaxPacketSize;
 
   //
@@ -489,7 +491,6 @@ ON_ERROR:
   return Status;
 }
 
-
 /**
   Start this driver on ControllerHandle.
 
@@ -511,10 +512,10 @@ Ip6DriverBindingStart (
   IN EFI_DEVICE_PATH_PROTOCOL     *RemainingDevicePath OPTIONAL
   )
 {
-  IP6_SERVICE               *IpSb;
-  EFI_STATUS                Status;
-  EFI_IP6_CONFIG_PROTOCOL   *Ip6Cfg;
-  IP6_CONFIG_DATA_ITEM      *DataItem;
+  IP6_SERVICE              *IpSb;
+  EFI_STATUS               Status;
+  EFI_IP6_CONFIG_PROTOCOL  *Ip6Cfg;
+  IP6_CONFIG_DATA_ITEM     *DataItem;
 
   IpSb     = NULL;
   Ip6Cfg   = NULL;
@@ -544,7 +545,7 @@ Ip6DriverBindingStart (
 
   ASSERT (IpSb != NULL);
 
-  Ip6Cfg  = &IpSb->Ip6ConfigInstance.Ip6Config;
+  Ip6Cfg = &IpSb->Ip6ConfigInstance.Ip6Config;
 
   //
   // Install the Ip6ServiceBinding Protocol onto ControllerHandle
@@ -581,7 +582,7 @@ Ip6DriverBindingStart (
                        DataItem->DataSize,
                        DataItem->Data.Ptr
                        );
-    if (Status == EFI_INVALID_PARAMETER || Status == EFI_BAD_BUFFER_SIZE) {
+    if ((Status == EFI_INVALID_PARAMETER) || (Status == EFI_BAD_BUFFER_SIZE)) {
       //
       // Clean the invalid ManualAddress configuration.
       //
@@ -606,7 +607,7 @@ Ip6DriverBindingStart (
                        DataItem->DataSize,
                        DataItem->Data.Ptr
                        );
-    if (Status == EFI_INVALID_PARAMETER || Status == EFI_BAD_BUFFER_SIZE) {
+    if ((Status == EFI_INVALID_PARAMETER) || (Status == EFI_BAD_BUFFER_SIZE)) {
       //
       // Clean the invalid Gateway configuration.
       //
@@ -688,8 +689,8 @@ FREE_SERVICE:
 EFI_STATUS
 EFIAPI
 Ip6DestroyChildEntryInHandleBuffer (
-  IN LIST_ENTRY         *Entry,
-  IN VOID               *Context
+  IN LIST_ENTRY  *Entry,
+  IN VOID        *Context
   )
 {
   IP6_PROTOCOL                  *IpInstance;
@@ -697,14 +698,14 @@ Ip6DestroyChildEntryInHandleBuffer (
   UINTN                         NumberOfChildren;
   EFI_HANDLE                    *ChildHandleBuffer;
 
-  if (Entry == NULL || Context == NULL) {
+  if ((Entry == NULL) || (Context == NULL)) {
     return EFI_INVALID_PARAMETER;
   }
 
-  IpInstance = NET_LIST_USER_STRUCT_S (Entry, IP6_PROTOCOL, Link, IP6_PROTOCOL_SIGNATURE);
-  ServiceBinding    = ((IP6_DESTROY_CHILD_IN_HANDLE_BUF_CONTEXT *) Context)->ServiceBinding;
-  NumberOfChildren  = ((IP6_DESTROY_CHILD_IN_HANDLE_BUF_CONTEXT *) Context)->NumberOfChildren;
-  ChildHandleBuffer = ((IP6_DESTROY_CHILD_IN_HANDLE_BUF_CONTEXT *) Context)->ChildHandleBuffer;
+  IpInstance        = NET_LIST_USER_STRUCT_S (Entry, IP6_PROTOCOL, Link, IP6_PROTOCOL_SIGNATURE);
+  ServiceBinding    = ((IP6_DESTROY_CHILD_IN_HANDLE_BUF_CONTEXT *)Context)->ServiceBinding;
+  NumberOfChildren  = ((IP6_DESTROY_CHILD_IN_HANDLE_BUF_CONTEXT *)Context)->NumberOfChildren;
+  ChildHandleBuffer = ((IP6_DESTROY_CHILD_IN_HANDLE_BUF_CONTEXT *)Context)->ChildHandleBuffer;
 
   if (!NetIsInHandleBuffer (IpInstance->Handle, NumberOfChildren, ChildHandleBuffer)) {
     return EFI_SUCCESS;
@@ -736,14 +737,14 @@ Ip6DriverBindingStop (
   IN  EFI_HANDLE                   *ChildHandleBuffer OPTIONAL
   )
 {
-  EFI_SERVICE_BINDING_PROTOCOL            *ServiceBinding;
-  IP6_SERVICE                             *IpSb;
-  EFI_HANDLE                              NicHandle;
-  EFI_STATUS                              Status;
-  LIST_ENTRY                              *List;
-  INTN                                    State;
-  BOOLEAN                                 IsDhcp6;
-  IP6_DESTROY_CHILD_IN_HANDLE_BUF_CONTEXT Context;
+  EFI_SERVICE_BINDING_PROTOCOL             *ServiceBinding;
+  IP6_SERVICE                              *IpSb;
+  EFI_HANDLE                               NicHandle;
+  EFI_STATUS                               Status;
+  LIST_ENTRY                               *List;
+  INTN                                     State;
+  BOOLEAN                                  IsDhcp6;
+  IP6_DESTROY_CHILD_IN_HANDLE_BUF_CONTEXT  Context;
 
   IsDhcp6   = FALSE;
   NicHandle = NetLibGetNicHandle (ControllerHandle, &gEfiManagedNetworkProtocolGuid);
@@ -759,7 +760,7 @@ Ip6DriverBindingStop (
   Status = gBS->OpenProtocol (
                   NicHandle,
                   &gEfiIp6ServiceBindingProtocolGuid,
-                  (VOID **) &ServiceBinding,
+                  (VOID **)&ServiceBinding,
                   This->DriverBindingHandle,
                   NicHandle,
                   EFI_OPEN_PROTOCOL_GET_PROTOCOL
@@ -778,18 +779,18 @@ Ip6DriverBindingStop (
     //
     // NumberOfChildren is not zero, destroy the IP6 children instances in ChildHandleBuffer.
     //
-    List = &IpSb->Children;
+    List                      = &IpSb->Children;
     Context.ServiceBinding    = ServiceBinding;
     Context.NumberOfChildren  = NumberOfChildren;
     Context.ChildHandleBuffer = ChildHandleBuffer;
-    Status = NetDestroyLinkList (
-               List,
-               Ip6DestroyChildEntryInHandleBuffer,
-               &Context,
-               NULL
-               );
+    Status                    = NetDestroyLinkList (
+                                  List,
+                                  Ip6DestroyChildEntryInHandleBuffer,
+                                  &Context,
+                                  NULL
+                                  );
   } else if (IsListEmpty (&IpSb->Children)) {
-    State           = IpSb->State;
+    State  = IpSb->State;
     Status = Ip6CleanService (IpSb);
     if (EFI_ERROR (Status)) {
       IpSb->State = State;
@@ -813,7 +814,6 @@ Exit:
   return Status;
 }
 
-
 /**
   Creates a child handle with a set of I/O services.
 
@@ -836,17 +836,17 @@ Ip6ServiceBindingCreateChild (
   IN EFI_HANDLE                    *ChildHandle
   )
 {
-  IP6_SERVICE               *IpSb;
-  IP6_PROTOCOL              *IpInstance;
-  EFI_TPL                   OldTpl;
-  EFI_STATUS                Status;
-  VOID                      *Mnp;
+  IP6_SERVICE   *IpSb;
+  IP6_PROTOCOL  *IpInstance;
+  EFI_TPL       OldTpl;
+  EFI_STATUS    Status;
+  VOID          *Mnp;
 
   if ((This == NULL) || (ChildHandle == NULL)) {
     return EFI_INVALID_PARAMETER;
   }
 
-  IpSb       = IP6_SERVICE_FROM_PROTOCOL (This);
+  IpSb = IP6_SERVICE_FROM_PROTOCOL (This);
 
   if (IpSb->LinkLocalDadFail) {
     return EFI_DEVICE_ERROR;
@@ -881,7 +881,7 @@ Ip6ServiceBindingCreateChild (
   Status = gBS->OpenProtocol (
                   IpSb->MnpChildHandle,
                   &gEfiManagedNetworkProtocolGuid,
-                  (VOID **) &Mnp,
+                  (VOID **)&Mnp,
                   gIp6DriverBinding.DriverBindingHandle,
                   IpInstance->Handle,
                   EFI_OPEN_PROTOCOL_BY_CHILD_CONTROLLER
@@ -910,7 +910,6 @@ Ip6ServiceBindingCreateChild (
 ON_ERROR:
 
   if (EFI_ERROR (Status)) {
-
     Ip6CleanProtocol (IpInstance);
 
     FreePool (IpInstance);
@@ -942,11 +941,11 @@ Ip6ServiceBindingDestroyChild (
   IN EFI_HANDLE                    ChildHandle
   )
 {
-  EFI_STATUS                Status;
-  IP6_SERVICE               *IpSb;
-  IP6_PROTOCOL              *IpInstance;
-  EFI_IP6_PROTOCOL          *Ip6;
-  EFI_TPL                   OldTpl;
+  EFI_STATUS        Status;
+  IP6_SERVICE       *IpSb;
+  IP6_PROTOCOL      *IpInstance;
+  EFI_IP6_PROTOCOL  *Ip6;
+  EFI_TPL           OldTpl;
 
   if ((This == NULL) || (ChildHandle == NULL)) {
     return EFI_INVALID_PARAMETER;
@@ -955,12 +954,12 @@ Ip6ServiceBindingDestroyChild (
   //
   // Retrieve the private context data structures
   //
-  IpSb   = IP6_SERVICE_FROM_PROTOCOL (This);
+  IpSb = IP6_SERVICE_FROM_PROTOCOL (This);
 
   Status = gBS->OpenProtocol (
                   ChildHandle,
                   &gEfiIp6ProtocolGuid,
-                  (VOID **) &Ip6,
+                  (VOID **)&Ip6,
                   gIp6DriverBinding.DriverBindingHandle,
                   ChildHandle,
                   EFI_OPEN_PROTOCOL_GET_PROTOCOL
